package middleware

import (
	"log"
	"net/http"
)

func LoggingMiddleware(next http.Handler) http.Handler {
  return http.HandlerFunc(
    func(w http.ResponseWriter, r *http.Request) {
      log.Printf("[%s] %s", r.Method, r.URL.EscapedPath())
      next.ServeHTTP(w, r)
    },
  )
}
